import setuptools

with open("README.md", "r") as f:
    long_description = f.read()

# with open('requirements.txt') as f:
#     requirements = f.read().splitlines()

setuptools.setup(
    name="dataviper",
    version="0.1.6",
    author="Hiromu Ochiai",
    author_email="otiai10@gmail.com",
    description="A simple Data Quality Assessment Tool based on SQL",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/otiai10/dataviper",
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
    ],
    install_requires=[
        'apipkg==1.5',
        'astroid==2.2.5',
        'atomicwrites==1.3.0',
        'attrs==19.1.0',
        'autopep8==1.4.4',
        'bleach==3.1.4',
        'certifi==2020.4.5.1',
        'chardet==3.0.4',
        'coverage==4.5.4',
        'cycler==0.10.0',
        'docutils==0.16',
        'et-xmlfile==1.0.1',
        'execnet==1.7.1',
        'FormEncode==1.3.1',
        'idna==2.9',
        'importlib-metadata==0.20',
        'isort==4.3.21',
        'jdcal==1.4.1',
        'keyring==21.2.0',
        'kiwisolver==1.1.0',
        'lazy-object-proxy==1.4.2',
        'matplotlib==3.1.1',
        'matplotlib-venn==0.11.5',
        'mccabe==0.6.1',
        'more-itertools==7.2.0',
        'numpy==1.17.1',
        'openpyxl==2.6.3',
        'packaging==19.1',
        'pandas==0.25.1',
        'pkginfo==1.5.0.1',
        'pluggy==0.12.0',
        'py==1.8.0',
        'pycodestyle==2.5.0',
        'PyDispatcher==2.0.5',
        'Pygments==2.6.1',
        'pylint==2.3.1',
        'PyMySQL==0.9.3',
        'pyparsing==2.4.2',
        'pypyodbc==1.3.4.3',
        'pytest==5.1.2',
        'pytest-cov==2.7.1',
        'pytest-forked==1.0.2',
        'pytest-xdist==1.29.0',
        'python-dateutil==2.8.0',
        'pytz==2019.2',
        'readme-renderer==25.0',
        'requests==2.23.0',
        'requests-toolbelt==0.9.1',
        'scipy==1.3.1',
        'six==1.12.0',
        'SQLObject==3.7.2',
        'tqdm==4.45.0',
        'twine==3.1.1',
        'typed-ast==1.4.0',
        'urllib3==1.25.9',
        'wcwidth==0.1.7',
        'webencodings==0.5.1',
        'wrapt==1.11.2',
        'zipp==0.6.0',
    ],
)
